### Hierarchy

- Configs

### Indexable

[key: string]: any

## Index

### Properties

- debug
- development
- direction
- locale
- theme.mode
- theme.name
- theme.overrides
- title

## Properties

### debug

debug: boolean

- Defined in Configs.ts:15

Debug mode. By default it's true in development enviornment

### development

development: boolean

- Defined in Configs.ts:18

Development mode

### direction

direction: "ltr" | "rtl"

- Defined in Configs.ts:12

Text direction of content

### locale

locale: string

- Defined in Configs.ts:9

Project locale. Defaults to 'en'

### theme.mode

theme.mode: "light" | "dark"

- Defined in Configs.ts:30

Theme mode: Either light or dark. TODO: Add 'auto' mode to detect OS/User preference? This will be added to configs.

### theme.name

theme.name: string

- Defined in Configs.ts:24

Name of selected theme. FIXME: This key contains the slug, but is called name. This is confusing.

### theme.overrides

theme.overrides: ThemeValueInput

- Defined in Configs.ts:35

Overrides for any selected theme. These overrides are applied to all themes.

### title

title: string

- Defined in Configs.ts:6

Project title

Generated using TypeDoc